buildconf.sh: Create missing conftools/install-sh

Otherwise configure will fail with:
configure: error: cannot find install-sh, install.sh, or shtool in conftools "."/conftools
diff --git a/expat/buildconf.sh b/expat/buildconf.sh
index 69981df..8eb0a76 100755
--- a/expat/buildconf.sh
+++ b/expat/buildconf.sh
@@ -19,6 +19,10 @@
 echo "Creating configure ..."
 ${AUTORECONF:-autoreconf} -fvi
 
+echo "Creating conftools/install-sh ..."
+# .. for configure, despite not using automake
+automake --add-missing 2>/dev/null || true
+
 # toss this; it gets created by autoconf on some systems
 rm -rf autom4te*.cache